# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: artemis/api/external_feed.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2
from weclikd.common import sql_field_options_pb2 as weclikd_dot_common_dot_sql__field__options__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='artemis/api/external_feed.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x1f\x61rtemis/api/external_feed.proto\x12\x07weclikd\x1a\x1fgoogle/protobuf/timestamp.proto\x1a&weclikd/common/sql_field_options.proto\"\xba\x03\n\x12\x45xternalFeedSource\x12\x10\n\x02id\x18\x01 \x01(\x03\x42\x04\x90\xb5\x18\x01\x12\x0c\n\x04name\x18\x02 \x01(\t\x12.\n\x04type\x18\x03 \x01(\x0e\x32 .weclikd.ExternalFeedSource.Type\x12\x0b\n\x03url\x18\x04 \x01(\t\x12\x12\n\nbase_topic\x18\x05 \x01(\t\x12\x10\n\x08icon_url\x18\x06 \x01(\t\x12\x41\n\x0esummary_source\x18\x07 \x01(\x0e\x32).weclikd.ExternalFeedSource.SummarySource\x12+\n\x07\x63reated\x18\x08 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\x12\x13\n\x0blast_update\x18\t \x01(\t\x12\x0f\n\x07website\x18\n \x01(\t\x12\x14\n\x0csubmitted_by\x18\x0b \x01(\x03\x12\x11\n\tfollowers\x18\x0c \x01(\x03\"\x1c\n\x04Type\x12\x0b\n\x07UNKNOWN\x10\x00\x12\x07\n\x03RSS\x10\x01\"D\n\rSummarySource\x12\x12\n\x0eUNKNOWN_SOURCE\x10\x00\x12\x13\n\x0fRSS_DESCRIPTION\x10\x01\x12\n\n\x06UNFURL\x10\x02\x62\x06proto3'
  ,
  dependencies=[google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,weclikd_dot_common_dot_sql__field__options__pb2.DESCRIPTOR,])



_EXTERNALFEEDSOURCE_TYPE = _descriptor.EnumDescriptor(
  name='Type',
  full_name='weclikd.ExternalFeedSource.Type',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='RSS', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=462,
  serialized_end=490,
)
_sym_db.RegisterEnumDescriptor(_EXTERNALFEEDSOURCE_TYPE)

_EXTERNALFEEDSOURCE_SUMMARYSOURCE = _descriptor.EnumDescriptor(
  name='SummarySource',
  full_name='weclikd.ExternalFeedSource.SummarySource',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN_SOURCE', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='RSS_DESCRIPTION', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='UNFURL', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=492,
  serialized_end=560,
)
_sym_db.RegisterEnumDescriptor(_EXTERNALFEEDSOURCE_SUMMARYSOURCE)


_EXTERNALFEEDSOURCE = _descriptor.Descriptor(
  name='ExternalFeedSource',
  full_name='weclikd.ExternalFeedSource',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='id', full_name='weclikd.ExternalFeedSource.id', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\220\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='name', full_name='weclikd.ExternalFeedSource.name', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='type', full_name='weclikd.ExternalFeedSource.type', index=2,
      number=3, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='url', full_name='weclikd.ExternalFeedSource.url', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='base_topic', full_name='weclikd.ExternalFeedSource.base_topic', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='icon_url', full_name='weclikd.ExternalFeedSource.icon_url', index=5,
      number=6, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='summary_source', full_name='weclikd.ExternalFeedSource.summary_source', index=6,
      number=7, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='created', full_name='weclikd.ExternalFeedSource.created', index=7,
      number=8, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='last_update', full_name='weclikd.ExternalFeedSource.last_update', index=8,
      number=9, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='website', full_name='weclikd.ExternalFeedSource.website', index=9,
      number=10, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='submitted_by', full_name='weclikd.ExternalFeedSource.submitted_by', index=10,
      number=11, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='followers', full_name='weclikd.ExternalFeedSource.followers', index=11,
      number=12, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _EXTERNALFEEDSOURCE_TYPE,
    _EXTERNALFEEDSOURCE_SUMMARYSOURCE,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=118,
  serialized_end=560,
)

_EXTERNALFEEDSOURCE.fields_by_name['type'].enum_type = _EXTERNALFEEDSOURCE_TYPE
_EXTERNALFEEDSOURCE.fields_by_name['summary_source'].enum_type = _EXTERNALFEEDSOURCE_SUMMARYSOURCE
_EXTERNALFEEDSOURCE.fields_by_name['created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_EXTERNALFEEDSOURCE_TYPE.containing_type = _EXTERNALFEEDSOURCE
_EXTERNALFEEDSOURCE_SUMMARYSOURCE.containing_type = _EXTERNALFEEDSOURCE
DESCRIPTOR.message_types_by_name['ExternalFeedSource'] = _EXTERNALFEEDSOURCE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

ExternalFeedSource = _reflection.GeneratedProtocolMessageType('ExternalFeedSource', (_message.Message,), {
  'DESCRIPTOR' : _EXTERNALFEEDSOURCE,
  '__module__' : 'artemis.api.external_feed_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ExternalFeedSource)
  })
_sym_db.RegisterMessage(ExternalFeedSource)


_EXTERNALFEEDSOURCE.fields_by_name['id']._options = None
# @@protoc_insertion_point(module_scope)
